Network Subnet Pool Set

Bug #1544591 reported by Richard Theis on 2016-02-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-openstackclient
Fix Released
Medium
Tang Chen

Bug Description

Add support for updating a network subnet pool: "os subnet pool set".

Tang Chen (tangchen) on 2016-02-12
Changed in python-openstackclient:
assignee: nobody → Tang Chen (tangchen)
Richard Theis (rtheis) on 2016-03-01
Changed in python-openstackclient:
importance: Undecided → Medium
status: New → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/289202

Changed in python-openstackclient:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/289202
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=f2fb007e820ffd8585d8c63af4aab27944d544eb
Submitter: Jenkins
Branch: master

commit f2fb007e820ffd8585d8c63af4aab27944d544eb
Author: Tang Chen <email address hidden>
Date: Mon Mar 7 11:51:39 2016 +0800

    [Subnet pool] Add 'subnet pool set' command support

    This patch supports setting a new name, pool prefix,
    default prefix length, minimum prefix length,
    and maximum prefix length for a subnet pool.

    Change-Id: I65bd71e0f54f2f65acefbc542df67a1b1ec26397
    Partial-Bug: #1544591
    Related-to: blueprint neutron-client

Reviewed: https://review.openstack.org/279797
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=87d90f3e53e2c5fe110ef5e099e8289e1d85f7d0
Submitter: Jenkins
Branch: master

commit 87d90f3e53e2c5fe110ef5e099e8289e1d85f7d0
Author: Richard Theis <email address hidden>
Date: Fri Feb 12 15:17:27 2016 -0600

    Add subnet pool functional tests

    Add functional tests for "os subnet pool" commands.

    Change-Id: I51ffabcdb4d0f8608cc847aae298c8cbfd1f6a3d
    Depends-On: I9150797c8cfa794d5264ad07965aa967d9a8f5bc
    Depends-On: I65bd71e0f54f2f65acefbc542df67a1b1ec26397
    Related-Bug: #1544586
    Related-Bug: #1544587
    Related-Bug: #1544589
    Related-Bug: #1544590
    Related-Bug: #1544591
    Partially-Implements: blueprint neutron-client

Reviewed: https://review.openstack.org/297063
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=b3649a54cd59dc069c76cbbcd876a1610aee00c0
Submitter: Jenkins
Branch: master

commit b3649a54cd59dc069c76cbbcd876a1610aee00c0
Author: Tang Chen <email address hidden>
Date: Thu Mar 24 19:22:07 2016 +0800

    Add --address-scope option "subnet pool create/set"

    This patch adds --address-scope option to "subnet pool create/set"
    commands, and --no-address-scope option to "subnet pool set"
    command to clear the address scope setting.

    Change-Id: Ie2c370a50b52574fa6ec268083ad013b7544361e
    Partial-Bug: #1544586
    Partial-Bug: #1544591

Richard Theis (rtheis) wrote :

Hi Tang, is this bug now completed?

Reviewed: https://review.openstack.org/307540
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=48ebc49f201baea443146a8d1c3b6cbde3b2f297
Submitter: Jenkins
Branch: master

commit 48ebc49f201baea443146a8d1c3b6cbde3b2f297
Author: Brad Behle <email address hidden>
Date: Mon Apr 18 21:22:24 2016 -0500

    Add new share and default parms to subnet pool cmds

    Add the "share" and "default" parms to subnet pool create command.
    Add the "default" and "no-default" parms to subnet pool set command.
    Note that "share" can not be modified once subnet pool has been
    created, so do not add this to the set command.

    Change-Id: I1eecad69527a1cde7fb234669f4aff2be2db491e
    Partial-Bug: #1544591
    Partial-Bug: #1544586

Richard Theis (rtheis) wrote :

With Brad's latest patch set now merged, I think this command is complete.

Changed in python-openstackclient:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints